POST /consentAndDocumentsCopy Pagepost https://app.usecanopy.com/api/v1.0.0/widget/pull/consentAndDocumentsUsed to verify consent, create a pull, and upload documents.Body Paramsdevice_identifierstringrequiredUser's IP address or other unique user identifierterms_versionintegerrequiredMust correspond to the terms_version that was presented to the userconsent_languagestringrequiredlength ≤ 1024Text that was displayed to the user when prompting for their consentpublic_aliasstringrequiredThe widget alias that the pull will be submitted onmeta_dataobjectJSON serializable metadata that will be saved to the pullmeta_data objectinsurerNamestring | nullCarrier ID to submit the credentials todocumentsarray of filesrequiredlength between 1 and 20Insurance documents. Max size per file is 10MB. Max combined size is 200MB. Example adding files to formdata: const formData = new FormData(); formData.append('documents', file1); formData.append('documents', file2);documents* fileADD fileResponses 200200 Response Schema 400400 Response Schema 401401 Response Schema 404404 Response SchemaUpdated 6 months ago